///////////////////////////////////////////////////////////////////////////////
//
//	The BSL Compiler Kit
//	BSL Runtime Library: Memory Manipulation
//	Copyright (C) 1995 Nils M. Holm
//
//	BCOPY ( SOURCE, DEST, LENGTH )
//
//	PURPOSE:	Copy a memory region
//	RECEIVES:	SOURCE	- Region to copy
//			DEST	- Where to copy the region
//			LENGTH	- Number of WORDS to copy
//	RETURNS:	-
//
//	NOTES:		The regions must not overlap.
//

#include( blib.hdr)
#include( ../opt.hdr)

public bcopy(source, dest, length) {
	while (length) {
		length -= 1;
		dest.length = source.length;
	}
}
