///////////////////////////////////////////////////////////////////////////////
//
//	The BSL Compiler Kit
//	BSL Runtime Library: Memory Manipulation
//	Copyright (C) 1995 Nils M. Holm
//
//	BSET ( REGION, VAL, LENGTH )
//
//	PURPOSE:	Fill a memory region with a given pattern.
//	RECEIVES:	REGION	- Region to fill
//			VAL	- Pattern to fill the region with.
//			LENGTH	- Number of WORDS zero.
//	RETURNS:	-
//

#include( blib.hdr)
#include( ../opt.hdr)

public bset(region, val, length) {
	while (length) {
		length -= 1;
		region.length = val;
	}
}
