///////////////////////////////////////////////////////////////////////////////
//
//	The BSL Compiler Kit
//	BSL Runtime Library: String Functions
//	Copyright (C) 1995 Nils M. Holm
//
//	STRRCHR ( STRING, CHAR )
//
//	PURPOSE:	Find the rightmost occurance of a character
//			in a string.
//	RECEIVES:	STRING	- String to scan.
//			CHAR	- Character to find.
//	RETURNS:	A pointer to the LAST occurance of
//			CHAR, or Null if CHAR is not contained
//			in STRING.
//

#include( blib.hdr)
#include( ../opt.hdr)

public strrchr(string, char) {
	var	p = 0;

	while (.string) {
		if (.string == char) p = string;
		string += 1;
	}
	return p;
}
