///////////////////////////////////////////////////////////////////////////////
//
//	The BSL Compiler Kit
//	BSL/86 Runtime Library: System Call Interface
//	Copyright (C) 1995 Nils M. Holm
//
//	SYS_CLOSE ( FD )
//
//	PURPOSE:	Close an open file
//	RECEIVES:	FD	- FD of file to close
//	RETURNS:	0 = success, -N = error (N is a DOS error code)
//

#include( blib.hdr)
#include( ../opt.hdr)

public sys_close(fd) {
	var	regs.REGISTERS;

	regs.R_AX = 0x3E00;
	regs.R_BX = fd;
	if (__sys(_SYSINT_, regs) & 1) return -regs.R_AX;
	return 0;
}
