///////////////////////////////////////////////////////////////////////////////
//
//	The BSL Compiler Kit
//	BSL/86 Runtime Library: System Call Interface
//	Copyright (C) 1995 Nils M. Holm
//
//	SYS_CREATE ( NAME )
//
//	PURPOSE:	Create file
//	RECEIVES:	NAME	- file to create
//	RETURNS:	A file descriptor, or -N in case of an error,
//			where N is a DOS error code.
//

#include( blib.hdr)
#include( ../opt.hdr)

public sys_create(name) {
	var	regs.REGISTERS;
	var	buf._PATHL_/_BPW_;

	regs.R_AX = 0x3C00;
	pack(name, buf);
	regs.R_DX = buf * _BPW_;
	regs.R_CX = 0;
	if (__sys(_SYSINT_, regs) & 1) return -regs.R_AX;
	return regs.R_AX;
}
