///////////////////////////////////////////////////////////////////////////////
//
//	The BSL Compiler Kit
//	BSL/86 Runtime Library: System Call Interface
//	Copyright (C) 1995 Nils M. Holm
//
//	SYS_RMDIR ( PATH )
//
//	PURPOSE:	Remove a directory
//	RECEIVES:	PATH	- path of the directory to remove
//	RETURNS:	0 = success, -N = error (N is a DOS error code)
//	NOTES:		The directory must be empty
//

#include( blib.hdr)
#include( ../opt.hdr)

public sys_rmdir(path) {
	var	regs.REGISTERS;
	var	buf._PATHL_/_BPW_;

	regs.R_AX = 0x3A00;
	pack(path, buf);
	regs.R_DX = buf * _BPW_;
	if (__sys(_SYSINT_, regs) & 1) return -regs.R_AX;
	return 0;
}
