///////////////////////////////////////////////////////////////////////////////
//
//	The BSL Compiler Kit
//	BSL Runtime Library: String Functions
//	Copyright (C) 1995 Nils M. Holm
//
//	STRCHR ( STRING, CHAR )
//
//	PURPOSE:	Search for a character in a string.
//	RECEIVES:	STRING	- String to scan.
//			CHAR	- Character to find.
//	RETURNS:	A pointer to the first occurance of
//			CHAR, or Null if CHAR is not contained
//			in STRING.
//

#include( blib.hdr)
#include( ../opt.hdr)

public strchr(string, char) {
	while (.string) {
		if (.string == char) return string;
		string += 1;
	}
	return 0;
}
