///////////////////////////////////////////////////////////////////////////////
//
//	The BSL Compiler Kit
//	BSL/86 Runtime Library: System Call Interface
//	Copyright (C) 1995 Nils M. Holm
//
//	SYS_DUP ( FD )
//
//	PURPOSE:	Duplicate an open file descriptor
//	RECEIVES:	FD	- descriptor to duplicate
//	RETURNS:	a new descriptor on success, and a
//			negative DOS error code in case of an error
//

#include( blib.hdr)
#include( ../opt.hdr)

public sys_dup(fd) {
	var	regs.REGISTERS;

	regs.R_AX = 0x4500;
	regs.R_BX = fd;
	if (__sys(_SYSINT_, regs) & 1) return -regs.R_AX;
	return regs.R_AX;
}
