///////////////////////////////////////////////////////////////////////////////
//
//	The BSL Compiler Kit
//	BSL/86 Runtime Library: System Call Interface
//	Copyright (C) 1995 Nils M. Holm
//
//	SYS_FTRUNC ( FD )
//
//	PURPOSE:	Truncate an open file at current position
//	RECEIVES:	FD	- An open file descriptor
//	RETURNS:	Zero = success, <0 = failure
//

#include( blib.hdr)
#include( ../opt.hdr)

public sys_ftrunc(fd) {
	var	regs.REGISTERS;

	regs.R_AX = 0x4000;
	regs.R_BX = fd;
	regs.R_CX = 0;
	regs.R_DX = 0;
	if (__sys(_SYSINT_, regs) & 1) return -regs.R_AX;

	return 0;
}
