///////////////////////////////////////////////////////////////////////////////
//
//	The BSL Compiler Kit
//	BSL/86 Runtime Library: System Call Interface
//	Copyright (C) 1995 Nils M. Holm
//
//	SYS_REMOVE ( NAME )
//
//	PURPOSE:	Removes a file
//	RECEIVES:	NAME	- path of file to remove
//	RETURNS:	0 = success, -N = error (N is a DOS error code)
//

#include( blib.hdr)
#include( ../opt.hdr)

public sys_remove(name) {
	var	regs.REGISTERS;
	var	buf._PATHL_/_BPW_;

	regs.R_AX = 0x4100;
	pack(name, buf);
	regs.R_DX = buf * _BPW_;
	if (__sys(_SYSINT_, regs) & 1) return -regs.R_AX;
	return 0;
}
